Bug 31525 - remove pinstripe background from LibO dialogues
Summary: remove pinstripe background from LibO dialogues
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Mac OS X (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.0.2
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2010-11-10 07:39 UTC by Thorsten Behrens (CIB)
Modified: 2015-12-15 22:50 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
non-working fix attempt (1.20 KB, text/plain)
2010-11-10 07:43 UTC, Thorsten Behrens (CIB)
Details
Screenshot before Gerrit patch #4287 (172.42 KB, image/png)
2013-06-26 11:43 UTC, Artur Dryomov
Details
Screenshot after Gerrit patch #4287 (165.02 KB, image/png)
2013-06-26 11:44 UTC, Artur Dryomov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2010-11-10 07:39:06 UTC
The standard pinstriped dialog background has long since been deprecated on OSX. Repeatedly requested on irc, so logging this bug to put a (non-working) patch into.
Comment 1 Thorsten Behrens (CIB) 2010-11-10 07:43:33 UTC
Created attachment 40178 [details]
non-working fix attempt
Comment 2 Thorsten Behrens (CIB) 2010-11-26 13:35:57 UTC
adjusting prio. still, anyone up for having a go at this?
Comment 3 jon.chambers3001+bugzilla 2013-02-03 21:44:10 UTC
just curious if there was any activity on the macos front in terms of improved UI styling and integration?
Comment 4 Thorsten Behrens (CIB) 2013-02-20 09:02:57 UTC
Freeing this bug for EasyHack takers - code ptr see attached fix attempt. You will need a mac of course to fiddle with this.
Comment 5 Jorendc 2013-04-04 21:41:55 UTC
(In reply to comment #4)
> Freeing this bug for EasyHack takers - code ptr see attached fix attempt.
> You will need a mac of course to fiddle with this.

http://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/WinPanel/Tasks/SettingWindowAppearance.html#//apple_ref/doc/uid/20000232-BBCDDHGE

quote:
<begin>
Beginning in OS X version 10.5, windows automatically have a textured gradient applied to their backgrounds. The area on which the gradient is drawn is determined automatically. At times, however, this may not work correctly. If your window does not look correct with automatic gradient calculation, disable it by calling setAutorecalculatesContentBorderThickness:forEdge: with a value of NO and the edge to disable automatic calculation for. The value of this property may be accessed using the method autorecalculatesContentBorderThicknessForEdge:.
<end>

@thorsten: is this the right way to turn this gradient-thing off?
Comment 6 Don't use this account, use tml@iki.fi 2013-04-04 21:47:08 UTC
Ha, this is fun... IRC log (I am WindowsUser, heh):

jorendc: if you look good, there is some greyish pinstripe pattern in it

WindowsUser: my eyesight is not that good...

jorendc: (and if you play a bit with the screen brightness you'll see it more clear)

jorendc: WindowsUser: but don't mind :-). My stupid mistake to disturb you with that :o

WindowsUser; hmmm, yeah, if I turn on the accessibility zoom feature and align my eyes / glasses just right to get the optimal optical paths;), then I see pinstripes

jorendc: haha :)

WindowsUser: and all this time I have been wondering (whenever that bug comes up), "pinstripes? what pinstripes, what are these people smoking?" ;)
Comment 7 Adolfo Jayme 2013-06-20 03:37:10 UTC
There is a patch awaiting review in https://gerrit.libreoffice.org/#/c/4287/
Comment 8 Emir Sarı 2013-06-21 12:51:51 UTC
Can't wait to test this fix. :)
Comment 9 Artur Dryomov 2013-06-24 16:22:44 UTC
As I mentioned at the Gerrit page — it works. I can create attachments “before” and “after” if anyone interested. It would be great if some developer can look into this fix and approve or reject it :-?
Comment 10 Emir Sarı 2013-06-24 17:38:13 UTC
@Artur, some screenshots would be really great. 

пожалуйста))
Comment 11 Commit Notification 2013-06-26 09:58:01 UTC
Jason Hulme committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcae9bf3b14ef294c54751705d2532c6447b095a

fdo#31525 Dialogues now have an appropriate background in OSX



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Artur Dryomov 2013-06-26 11:43:41 UTC
Created attachment 81463 [details]
Screenshot before Gerrit patch #4287
Comment 13 Artur Dryomov 2013-06-26 11:44:14 UTC
Created attachment 81464 [details]
Screenshot after Gerrit patch #4287
Comment 14 retired 2013-06-26 11:45:46 UTC
Setting to FIXED as per Arturs screenshots.
Comment 15 Jorendc 2013-06-27 16:38:11 UTC
VERIFIED FIXED, tested using Mac OSX 10.8.4 and Version: 4.2.0.0.alpha0+
Build ID: 1b0a43142b27286e717f63c90363625a1aeff74c

Thank you :)!!
Joren
Comment 16 Commit Notification 2013-06-28 09:39:57 UTC
Jason Hulme committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afa685c2a3bca8fb73a1c2cde536a2da4cd43b13&h=libreoffice-4-1

fdo#31525 Dialogues now have an appropriate background in OSX


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Joel Madero 2015-02-09 04:49:14 UTC
Removing love keyword as it never really caught on and it duplicates what "EasyHack" means (code pointer + dev willing to assist if needed).
Comment 18 Robinson Tryon (qubit) 2015-12-15 22:50:56 UTC Comment hidden (obsolete)